List a scan's vulnerabilities
curl --request GET \
--url https://app.gecko.security/api/v1/scans/{id}/vulnerabilities \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.gecko.security/api/v1/scans/{id}/vulnerabilities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.gecko.security/api/v1/scans/{id}/vulnerabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<unknown>",
"data": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": 123,
"type": "<string>",
"cwe": "<string>",
"title": "<string>",
"short_description": "<string>",
"file_path": "<string>",
"confidence_score": 123,
"cvss_vector": "<string>",
"created_at": "<string>",
"scan": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"is_done": true,
"progress": 0,
"programming_language": "<string>",
"branch": "<string>",
"commit_sha": "<string>",
"repository": "<string>",
"vulnerability_counts": {
"critical": 4503599627370495,
"high": 4503599627370495,
"medium": 4503599627370495,
"low": 4503599627370495,
"total": 4503599627370495
},
"created_at": "<string>",
"ended_at": "<string>"
},
"repository": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"name": "<string>",
"provider": "<string>",
"default_branch": "<string>",
"web_url": "<string>",
"last_scan_at": "<string>",
"scan_count": 4503599627370495,
"open_vulnerability_counts": {
"critical": 4503599627370495,
"high": 4503599627370495,
"medium": 4503599627370495,
"low": 4503599627370495
},
"created_at": "<string>"
}
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Scans
List a scan's vulnerabilities
GET
/
scans
/
{id}
/
vulnerabilities
List a scan's vulnerabilities
Authorizations
ApiKeyHeaderBearerAuth
Path Parameters
Query Parameters
Required range:
1 <= x <= 250Available options:
asc, desc Was this page helpful?
⌘I